Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058560 - RFE: Restrict uploadable file types in tool-tip to those compatible to the project type
Summary: RFE: Restrict uploadable file types in tool-tip to those compatible to the pr...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Usability
Version: 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Michelle Kim
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 03:21 UTC by Damian Jansen
Modified: 2015-07-29 03:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 03:27:57 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-01-28 03:21:46 UTC
Description of problem:
On the Source Documents page, the tooltip for the Upload button should display a list of filetypes containing types compatible with only the current project type.

This would be invalidated by https://bugzilla.redhat.com/show_bug.cgi?id=1035959

Version-Release number of selected component (if applicable):
3.2

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as admin, go to any project
2. Select Create Version, enter a version name and select Gettext for type
3. Press Save, then Source Documents
4. Mouse-over the upload button

Actual results:
"Supported types: .pot .dtd .txt .html .htm .odt .fodt .odp .fodp .ods .fods .odg .fodg .odb .odf"

Expected results:
Should indicate that only .pot files are valid for upload (and so forth for other project types)

Additional info:
The source for the tooltip text is a static jsf.SupportedUploadFormats translation string in zanata-war/src/main/resources/messages.properties

This would be invalidated by https://bugzilla.redhat.com/show_bug.cgi?id=1035959

Comment 2 Damian Jansen 2015-07-14 00:21:39 UTC
Reassigned to PM

Comment 3 Zanata Migrator 2015-07-29 03:27:57 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-278


Note You need to log in before you can comment on or make changes to this bug.